
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Vibrator Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Device.Vibrator</h1><h2>Description</h2>
<p>This interface provides access to a Vibrator device.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Device.Vibrator</tt></p>
<h2>Methods</h2><ul>
<li><a href="#VibratePattern">VibratePattern</a></li>
<li><a href="#Vibrate">Vibrate</a></li>
<li><a href="#Stop">Stop</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="VibratePattern">VibratePattern</a> ( iiii )</h3>
<p><i>Description:</i> Vibrate in an on/off pattern for a specified number of pulses. </p><h4>Parameters</h4><i>i: pulses</i><p>The amount of pulses (on+off iterations). </p><i>i: on_duration_ms</i><p>Duration of vibrating in milliseconds. </p><i>i: off_duration_ms</i><p>Duration of not vibrating in milliseconds. </p><i>i: strength_percentage</i><p>Strength of vibration in percent (0-100). Note that not all vibrators honor this parameter. </p>
<h3><a name="Vibrate">Vibrate</a> ( ii )</h3>
<p><i>Description:</i> Pulse the vibrator for a specified number of seconds. </p><h4>Parameters</h4><i>i: duration_ms</i><p>The amount of time (in milliseconds) to vibrate. </p><i>i: strength_percentage</i><p>Strength of vibration in percent (0-100). Note that not all vibrators honor this parameter. </p>
<h3><a name="Stop">Stop</a> ( )</h3><p><i>Description:</i> Cancel any previous commands and stop the vibrator immediately. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

